// IWYU pragma: private, include "nvim/api/command.h"
#define DEFINE_FUNC_ATTRIBUTES
#include "nvim/func_attr.h"
#undef DEFINE_FUNC_ATTRIBUTES
#ifndef DLLEXPORT
#  ifdef MSWIN
#    define DLLEXPORT __declspec(dllexport)
#  else
#    define DLLEXPORT
#  endif
#endif
DLLEXPORT Dict(cmd) nvim_parse_cmd(String str, Dict(empty) *opts, Arena *arena, Error *err) FUNC_API_SINCE(10) FUNC_API_FAST;
DLLEXPORT String nvim_cmd(uint64_t channel_id, Dict(cmd) *cmd, Dict(cmd_opts) *opts, Arena *arena, Error *err) FUNC_API_SINCE(10);
DLLEXPORT void nvim_create_user_command(uint64_t channel_id, String name, Union(String, LuaRefOf((DictAs(create_user_command__command_args) args))) cmd, Dict(user_command) *opts, Error *err) FUNC_API_SINCE(9);
DLLEXPORT void nvim_del_user_command(String name, Error *err) FUNC_API_SINCE(9);
DLLEXPORT void nvim_buf_create_user_command(uint64_t channel_id, Buffer buf, String name, Object cmd, Dict(user_command) *opts, Error *err) FUNC_API_SINCE(9);
DLLEXPORT void nvim_buf_del_user_command(Buffer buf, String name, Error *err) FUNC_API_SINCE(9);
DLLEXPORT void create_user_command(uint64_t channel_id, String name, Union(String, LuaRef) cmd, Dict(user_command) *opts, int flags, Error *err);
DLLEXPORT DictOf(DictAs(command_info)) nvim_get_commands(Dict(get_commands) *opts, Arena *arena, Error *err) FUNC_API_SINCE(4);
DLLEXPORT DictAs(command_info) nvim_buf_get_commands(Buffer buf, Dict(get_commands) *opts, Arena *arena, Error *err) FUNC_API_SINCE(4);
#include "nvim/func_attr.h"
